Skip to main content
GET
/
payment-links
/
{paymentLinkId}
Buscar link de pagamento por ID
curl --request GET \
  --url https://api.conta.paybeehive.com.br/v1/payment-links/{paymentLinkId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": 247,
  "companyId": 287,
  "alias": "alias_alterado",
  "title": "novo link alterado",
  "amount": 1000,
  "status": "active",
  "createdAt": "2026-03-06T21:10:16.000Z",
  "updatedAt": "2026-03-06T21:10:16.000Z",
  "settings": {
    "defaultPaymentMethod": "credit_card",
    "requestAddress": true,
    "requestPhone": true,
    "requestDocument": true,
    "traceable": true,
    "card": {
      "enabled": false,
      "freeInstallments": 1,
      "maxInstallments": 12
    },
    "pix": {
      "enabled": false,
      "expiresInDays": 0
    },
    "boleto": {
      "enabled": true,
      "expiresInDays": 0
    }
  }
}

Authorizations

Authorization
string
header
required

Basic Authorization usando SECRET_KEY como usuário e "x" como senha.

Path Parameters

Response

Link de pagamento

id
integer
Example:

9001

title
string
Example:

"novo link alterado"

amount
integer
Example:

1000

url
string
Example:

"https://checkout.paybeehive.com/payment-links/9001"

status
string
Example:

"active"

settings
object
createdAt
string
Example:

"2026-01-04T12:00:00Z"

updatedAt
string
Example:

"2026-01-04T12:10:00Z"